View Issue Details

IDProjectCategoryView StatusLast Update
00035713 - Current Dev ListBugpublic2019-11-16 16:46
ReporterK7ZCZAssigned ToWA9PIE 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.7 
Target VersionFixed in Version6.7.0.247 
Summary0003571: eQSL QSO download doesn't correctly parse result URL from response
DescriptionThe eQSL QSO download works by making a request from a URL at the eqsl.cc site. The response is an HTML page which must be parsed to find the location of the desired ADI file. Applications are expected to find this link by parsing the returned HTML page and download it to get the data they wanted.

The code in the Logbook doesn't correctly perform the parsing. It ends up requesting a badly-formed ADI URL which works only by luck, and isn't compliant with the API documentation provided here: http://www.eqsl.cc/qslcard/DownloadInBox.txt

Steps To Reproduce1) Open the Logbook. Any database is fine, though it might be modified by these steps
2) Use the "Configure" tear-off in the "Tools" menu to reach the "eQSL.cc" command
3) In the resulting dialog, configure the username and password for your eQSL.cc account
4) Use the "File" tear-off in the "Logbook" menu to reach the "eqsl.cc" tear-off. In that menu, choose "download"
5) Set the parameters in the dialog so the operation will successfully download at least a few records.
6) Press the "Download from eQSL.cc" button in the resulting "eQSL.cc Download" dialog
7) after the download completes, activate the "Log" tab in the "eQSL.cc Download" dialog
8) The first entry is a URL showing the API request from eqsl.cc. Re-type this URL into your browser.
9) Your browser will display a page that comes back from the eqsl.cc server that has links to the ADI and TXT files you requested.
10) Click the ADI link.


BUG#1) In the "Log" tab, the ADI link's target is actually displayed with ".TXT file reference = ". It should be describe as the ".ADI file reference". (This can be confirmed by examining the file in the given URL: it ends in ADI, not TXT.)

BUG#2) The ADI link opened in the browser doesn't match the ADI link displayed in "Log" tab; the Logbook is using the wrong URL.
Tags6.7 defects
ModuleLogbook
Sub-ModuleeQSL
Testing Alpha Successful

Relationships

related to 0003558 closedWA9PIE eQSL Download function loads all QSOs from eQSL server 

Activities

K7ZCZ

2019-11-10 15:28

administrator   ~0009230

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5282

PD9FER

2019-11-10 23:41

updater   ~0009248

confirm fixed in 6.7.0.245

g3ypp

2019-11-13 06:08

updater   ~0009295

This is not solved for me. The "RcvdSince=" is still nickname in the URL resulting in a large download from eQSL.
Even setting today's date gets a large download.

WA9PIE

2019-11-16 16:46

administrator   ~0009333

I validated that this is working in a 6.7.0.247 alpha build. There was an error made in the 6.7 branch back in May that didn't pop up until we started building out of the 6.7 branch.

Issue History

Date Modified Username Field Change
2019-11-10 14:38 K7ZCZ New Issue
2019-11-10 14:39 K7ZCZ Relationship added related to 0003558
2019-11-10 14:53 K7ZCZ Steps to Reproduce Updated View Revisions
2019-11-10 15:28 K7ZCZ Assigned To => K7ZCZ
2019-11-10 15:28 K7ZCZ Status new => resolved
2019-11-10 15:28 K7ZCZ Resolution open => fixed
2019-11-10 15:28 K7ZCZ Note Added: 0009230
2019-11-10 15:44 WA9PIE Tag Attached: 6.7 defects
2019-11-10 23:15 WA9PIE Fixed in Version => 6.7.0.245
2019-11-10 23:41 PD9FER Note Added: 0009248
2019-11-13 06:08 g3ypp Note Added: 0009295
2019-11-14 03:01 WA9PIE Assigned To K7ZCZ => WA9PIE
2019-11-16 16:46 WA9PIE Status resolved => closed
2019-11-16 16:46 WA9PIE Fixed in Version 6.7.0.245 => 6.7.0.247
2019-11-16 16:46 WA9PIE Testing Not Started => Alpha Successful
2019-11-16 16:46 WA9PIE Note Added: 0009333